Subject: Re: FW: Policy Terminology Draft

From: [email-masked]
Date: Thu, 31 Aug 2000 10:59:55 -0400

John,

>The exchange excerpted below suggests the sort of argument that
>appears whenever we attempt to define translation (conversion,
>or mapping) between different levels of abstraction.
>How many levels? What should they be?
>Between which is the process conversion or mapping or translation?
>It was because these philosophical discussions do not lead to
>any conclusion that we chose not to attempt a consensus definition.
>
>After raising the issue Juergen (who missed the "benefit" of our
>conference call "discussion") reached the same conclusion we did.
>Reaching consensus on particular distinctions is impossible and
>pointless. Although we all agree some amount of conversion
>(translation, mapping) occurs, it need not be standardized.

I agree that it may be impossible to get consensus
(and then to enforce it!) concerning how to use this
set of English words, which differ only slightly in
their ordinary meanings.  But we should still try to
capture somehow the important distinction that Jon
is arguing for.  I think of it in terms of two
dimensions.  One dimension is the level of abstraction
of a model, regardless of how the model is expressed.
The other dimension is the specific language /
technology used to express the model.  People often
confuse these two dimensions, but they really are
distinct.

Think of what you might do starting from the
complete text of "Moby Dick" (in English):

  - You could translate the novel into French,
    German, or Russian.  Here you'd be keeping
    the level of abstraction the same, but
    changing to a different language (Jon's
    "protocol-specific form").
  - You could create a Cliff's Notes for the
    novel, in English.  Here you'd be moving
    to a higher level of abstraction, without
    changing the language.
  - Finally, you could do both of these steps
    at once, moving directly from the novel to
    (pardoning my lame attempt at German)
    die Kliffenoten for the novel.

Obviously we shouldn't press this analogy too far.
But I hope it illustrates that Jon is talking about
an important distinction, and thus that we shouldn't
just stop at saying "There are a bunch of terms that
all refer to changing expressions of policy in one
way or another, and we're not going to try to make
any distinctions in this area."

Regards,
Bob

Bob Moore
IBM Networking Software
+1-919-254-4436
[email-masked]

John Schnizlein <[email-masked]>@raleigh.ibm.com on 08/31/2000 09:26:39
AM

Please respond to John Schnizlein <[email-masked]>

Sent by:  [email-masked]

To:   Jon Saperia <[email-masked]>
cc:   [email-masked]
Subject:  Re: FW: Policy Terminology Draft

The exchange excerpted below suggests the sort of argument that
appears whenever we attempt to define translation (conversion,
or mapping) between different levels of abstraction.
How many levels? What should they be?
Between which is the process conversion or mapping or translation?
It was because these philosophical discussions do not lead to
any conclusion that we chose not to attempt a consensus definition.

After raising the issue Juergen (who missed the "benefit" of our
conference call "discussion") reached the same conclusion we did.
Reaching consensus on particular distinctions is impossible and
pointless. Although we all agree some amount of conversion
(translation, mapping) occurs, it need not be standardized.

John

At 11:05 AM 08/29/2000 +0200, Juergen Schoenwaelder wrote:
>...
>arguing about the differences between translations and mappings?
>Or are we just taking the easy way out here?
>...
>But perhaps you are right that this is just a rathole.

At 07:22 AM 08/31/2000 -0400, Jon Saperia wrote:
>...
>Could we use 'conversion' as opposed to translation to refer to the
>task of changing a policy at whatever level of abstraction to a
>protocol specific form. This may not always be obvious or algorithmic.

At 08:35 AM 08/31/2000 -0400, [email-masked] wrote:
>...
>Changing it to a protocol-specific form from what?  The only
>answer that I can think of is "From another protocol-specific form."